﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Net.Http;

namespace WpfApp1.SsoragoApiSample
{
    class Curl_Send
    {
        private Curl_Send()
        { }
        private void Curl_SendEx()
        {
            /**************** 문자보내기 ******************/
            /* "resultCode":결과코드,"resultMessage":결과 메세지, */
            /* "mid":메세지 ID,"successCnt":요청성공 건수,"errorCnt":요청실패 건수 */ 
            /******************** 인증정보 ********************/
            //문자보내기
            try
            {
                FileInfo imgFile = new FileInfo(@"C:\Users\Administrator\Pictures\food.jpeg");
                byte[] imgData = new byte[0];

                if (imgFile.Exists && imgFile.Length > 0)
                    imgData = File.ReadAllBytes(imgFile.FullName);

                using (HttpClient client = new HttpClient())
                {
                    MultipartFormDataContent formData = new MultipartFormDataContent();
                    formData.Add(new StringContent("xxxxx"), "key");									//API Key	
                    formData.Add(new StringContent("01012341234"), "sender");							//발신번호
                    formData.Add(new StringContent("Y"), "adYn");										//광고여부
                    formData.Add(new StringContent("SSORAGO"), "bizName");								//상호명
                    formData.Add(new StringContent("#이름#님! 안녕하세요."), "msg");							//메시지 내용(치환기능: #이름#, #항목1#, #항목2#, #항목3#, #항목4#)
                    formData.Add(new StringContent("01012341234$홍길동,01012341235$홍길순"), "receiver");	//받는사람(01055458312$이름1$항목1,01012341234$이름2$항목1)
                    formData.Add(new StringContent("N"), "interYn");									//국제발송여부
                    formData.Add(new StringContent("MMS"), "st");										//발송타입(SMS,LMS,MMS)
                    formData.Add(new StringContent("API테스트"), "title");									//문자제목(LMS,MMS만 허용)
                    formData.Add(new StringContent("202012071800"), "reserve");							//예약일시
                    formData.Add(new StringContent("10"), "time");										//분할 간격
                    formData.Add(new StringContent("1"), "cnt");										//분할 건수	
					//첨부이미지
                    if (imgData.Length > 0)
                        formData.Add(new StreamContent(new MemoryStream(imgData)), "attFile", imgFile.Name);

                    client.DefaultRequestHeaders.Add("Accept", "*/*");

                    var response = client.PostAsync("https://www.ssorago.com/front/api/rest/send/", formData).Result;

                    if (!response.IsSuccessStatusCode)
                        Console.WriteLine(response.StatusCode);
                    else
                    {
                        var content = response.Content.ReadAsStringAsync().GetAwaiter().GetResult();
                        Console.WriteLine(content);
                    }
                }
            }
            catch (Exception ex)
            { Console.WriteLine(ex.Message); }
        }
    }
}
